NX Open C++ Reference Guide
|
Represents a @link Annotations::RegionBuilder Annotations::RegionBuilder@endlink builder <br> To create a new instance of this class, use @link Annotations::PmiRegionCollection::CreateRegionBuilder Annotations::PmiRegionCollection::CreateRegionBuilder @endlink <br>
Default values. More...
Public Types | |
enum | AlignmentPosition { AlignmentPositionTopLeft, AlignmentPositionTopCenter, AlignmentPositionTopRight, AlignmentPositionMiddleLeft, AlignmentPositionMiddleCenter, AlignmentPositionMiddleRight, AlignmentPositionBottomLeft, AlignmentPositionBottomCenter, AlignmentPositionBottomRight } |
Specifies the anchor location of the region. More... | |
enum | CrosshatchPatterns { CrosshatchPatternsNone, CrosshatchPatternsGeneralUse } |
Specifies the crosshatch pattern. More... | |
enum | Types { TypesRectangularRegion, TypesCircularRegion, TypesAnnularRegion, TypesCylindricalRegion, TypesArbitraryRegion } |
Specifies the region type. More... | |
Public Member Functions | |
NXOpen::Annotations::RegionBuilder::AlignmentPosition | Anchor () |
Returns the anchor Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
NXOpen::Annotations::ArbitraryAreaSeedBuilderList * | ArbitraryAreaList () |
Returns the arbitrary area list Only available when the region type is Annotations::RegionBuilder::TypesArbitraryRegion Created in NX6.0.0. | |
bool | ConformToSurface () |
Returns the conform to surface toggle Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
NXOpen::Expression * | CrosshatchAngle () |
Returns the crosshatch angle. | |
NXOpen::NXColor * | CrosshatchColor () |
Returns the crosshatch color Created in NX6.0.0. | |
NXOpen::Expression * | CrosshatchDistance () |
Returns the crosshatch distance. | |
NXOpen::Annotations::RegionBuilder::CrosshatchPatterns | CrosshatchPattern () |
Returns the crosshatch pattern enum. | |
NXOpen::Annotations::HatchFillSettingsBuilder * | CrosshatchSettings () |
Returns the crosshatch settings block Created in NX8.5.0. | |
bool | DisplayCrosshatch () |
Returns the display crosshatch toggle Created in NX8.5.0. | |
NXOpen::Point * | EndPoint () |
Returns the end point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion Created in NX6.0.0. | |
NXOpen::Expression * | Height () |
Returns the height Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion Created in NX6.0.0. | |
NXOpen::Expression * | InnerDiameter () |
Returns the inner diameter Only available when region type is Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
NXOpen::Point * | Origin () |
Returns the origin Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
NXOpen::Expression * | OuterDiameter () |
Returns the outer diameter Only available when region type is Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
NXOpen::Annotations::PlaneBuilder * | Plane () |
Returns the plane Created in NX6.0.0. | |
NXOpen::SelectDisplayableObjectList * | SelectCylindricalFace () |
Returns the select cylindrical face Only available when region type is Annotations::RegionBuilder::TypesCylindricalRegion Created in NX6.0.0. | |
NXOpen::SelectDisplayableObjectList * | SelectFace () |
Returns the select face Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
void | SetAnchor (NXOpen::Annotations::RegionBuilder::AlignmentPosition anchor) |
Sets the anchor Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
void | SetConformToSurface (bool conformToSurfaceToggle) |
Sets the conform to surface toggle Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
void | SetCrosshatchColor (NXOpen::NXColor *crosshatchColor) |
Sets the crosshatch color Created in NX6.0.0. | |
void | SetCrosshatchPattern (NXOpen::Annotations::RegionBuilder::CrosshatchPatterns crosshatchPattern) |
Sets the crosshatch pattern enum. | |
void | SetDisplayCrosshatch (bool displayCrosshatch) |
Sets the display crosshatch toggle Created in NX8.5.0. | |
void | SetEndPoint (NXOpen::Point *endPoint) |
Sets the end point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion Created in NX6.0.0. | |
void | SetOrigin (NXOpen::Point *origin) |
Sets the origin Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion Created in NX6.0.0. | |
void | SetStartPoint (NXOpen::Point *startPoint) |
Sets the start point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion Created in NX6.0.0. | |
void | SetType (NXOpen::Annotations::RegionBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
NXOpen::Point * | StartPoint () |
Returns the start point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion Created in NX6.0.0. | |
NXOpen::Annotations::RegionBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
NXOpen::Expression * | Width () |
Returns the width Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Annotations::RegionBuilder Annotations::RegionBuilder@endlink builder <br> To create a new instance of this class, use @link Annotations::PmiRegionCollection::CreateRegionBuilder Annotations::PmiRegionCollection::CreateRegionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ConformToSurface |
0 |
Created in NX6.0.0.
Specifies the anchor location of the region.
NXOpen::Annotations::RegionBuilder::AlignmentPosition NXOpen::Annotations::RegionBuilder::Anchor | ( | ) |
Returns the anchor Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::ArbitraryAreaSeedBuilderList* NXOpen::Annotations::RegionBuilder::ArbitraryAreaList | ( | ) |
Returns the arbitrary area list Only available when the region type is Annotations::RegionBuilder::TypesArbitraryRegion
Created in NX6.0.0.
License requirements : None
bool NXOpen::Annotations::RegionBuilder::ConformToSurface | ( | ) |
Returns the conform to surface toggle Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::CrosshatchAngle | ( | ) |
Returns the crosshatch angle.
Use Annotations::RegionBuilder::CrosshatchSettings instead.
Created in NX6.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Annotations::RegionBuilder::CrosshatchColor | ( | ) |
Returns the crosshatch color
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::CrosshatchDistance | ( | ) |
Returns the crosshatch distance.
Use Annotations::RegionBuilder::CrosshatchSettings instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::RegionBuilder::CrosshatchPatterns NXOpen::Annotations::RegionBuilder::CrosshatchPattern | ( | ) |
Returns the crosshatch pattern enum.
Use Annotations::RegionBuilder::CrosshatchSettings instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::HatchFillSettingsBuilder* NXOpen::Annotations::RegionBuilder::CrosshatchSettings | ( | ) |
Returns the crosshatch settings block
Created in NX8.5.0.
License requirements : None
bool NXOpen::Annotations::RegionBuilder::DisplayCrosshatch | ( | ) |
Returns the display crosshatch toggle
Created in NX8.5.0.
License requirements : None
NXOpen::Point* NXOpen::Annotations::RegionBuilder::EndPoint | ( | ) |
Returns the end point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::Height | ( | ) |
Returns the height Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::InnerDiameter | ( | ) |
Returns the inner diameter Only available when region type is Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Annotations::RegionBuilder::Origin | ( | ) |
Returns the origin Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::OuterDiameter | ( | ) |
Returns the outer diameter Only available when region type is Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::PlaneBuilder* NXOpen::Annotations::RegionBuilder::Plane | ( | ) |
Returns the plane
Created in NX6.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::RegionBuilder::SelectCylindricalFace | ( | ) |
Returns the select cylindrical face Only available when region type is Annotations::RegionBuilder::TypesCylindricalRegion
Created in NX6.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::RegionBuilder::SelectFace | ( | ) |
Returns the select face Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : None
void NXOpen::Annotations::RegionBuilder::SetAnchor | ( | NXOpen::Annotations::RegionBuilder::AlignmentPosition | anchor | ) |
Sets the anchor Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
anchor | anchor |
void NXOpen::Annotations::RegionBuilder::SetConformToSurface | ( | bool | conformToSurfaceToggle | ) |
Sets the conform to surface toggle Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
conformToSurfaceToggle | conformtosurfacetoggle |
void NXOpen::Annotations::RegionBuilder::SetCrosshatchColor | ( | NXOpen::NXColor * | crosshatchColor | ) |
Sets the crosshatch color
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
crosshatchColor | crosshatchcolor |
void NXOpen::Annotations::RegionBuilder::SetCrosshatchPattern | ( | NXOpen::Annotations::RegionBuilder::CrosshatchPatterns | crosshatchPattern | ) |
Sets the crosshatch pattern enum.
Use Annotations::RegionBuilder::CrosshatchSettings instead.
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
crosshatchPattern | crosshatchpattern |
void NXOpen::Annotations::RegionBuilder::SetDisplayCrosshatch | ( | bool | displayCrosshatch | ) |
Sets the display crosshatch toggle
Created in NX8.5.0.
License requirements : geometric_tol ("GDT")
displayCrosshatch | displaycrosshatch |
void NXOpen::Annotations::RegionBuilder::SetEndPoint | ( | NXOpen::Point * | endPoint | ) |
Sets the end point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
endPoint | endpoint |
void NXOpen::Annotations::RegionBuilder::SetOrigin | ( | NXOpen::Point * | origin | ) |
Sets the origin Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion , Annotations::RegionBuilder::TypesCircularRegion , Annotations::RegionBuilder::TypesAnnularRegion
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
origin | origin |
void NXOpen::Annotations::RegionBuilder::SetStartPoint | ( | NXOpen::Point * | startPoint | ) |
Sets the start point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
startPoint | startpoint |
void NXOpen::Annotations::RegionBuilder::SetType | ( | NXOpen::Annotations::RegionBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : geometric_tol ("GDT")
type | type |
NXOpen::Point* NXOpen::Annotations::RegionBuilder::StartPoint | ( | ) |
Returns the start point Only available when the region type is Annotations::RegionBuilder::TypesCylindricalRegion
Created in NX6.0.0.
License requirements : None
NXOpen::Annotations::RegionBuilder::Types NXOpen::Annotations::RegionBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Annotations::RegionBuilder::Width | ( | ) |
Returns the width Only available when region type is Annotations::RegionBuilder::TypesRectangularRegion
Created in NX6.0.0.
License requirements : None